#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 2

Name:           kitinerary
Version: 25.04.2
Release:        %mkrel %{rel}
Summary:        Library for handling Itinerary data
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Upstream patches
#

# Mageia patches
#
BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)

BuildRequires:  cmake(KF6Contacts) >= 5.240
BuildRequires:  cmake(KF6CalendarCore) >= 5.240
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KPim6Mime) >= 5.240
BuildRequires:  cmake(KPim6PkPass)

BuildRequires:  cmake(KF6CalendarCore)

BuildRequires:  pkgconfig(poppler)
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(zxing)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  phonenumber-devel

# OsmTools, Tools to convert, filter and update OpenStreetMap data files,
# Needed only for regenereating the airport database (ie. you most likely don't need this)
BuildRequires:  osmctools
Requires:       osmctools


%description
Library for handling Itinerary data.

%files -f %{name}.lang
%{_kf6_categoriesdir}/org_kde_kitinerary.categories
%{_kf6_libexecdir}/kitinerary-extractor
%{_kf6_datadir}/mime/packages/application-vnd-kde-itinerary.xml

#--------------------------------------------------------------------

%define major 6
%define libname %mklibname kpim6itinerary %{major}

%package -n %{libname}
Summary:        Library for handling Itinerary data
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
Library for handling Itinerary data.

%files -n %{libname}
%{_kf6_libdir}/libKPim6Itinerary.so.%{major}{,.*}

#--------------------------------------------------------------------

%define devname %mklibname kpim6itinerary -d

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development files for %{name}.

%files -n %{devname}
%{_includedir}/KPim6/KItinerary/
%{_includedir}/KPim6/kitinerary/
%{_includedir}/KPim6/kitinerary_version.h
%{_kf6_libdir}/*.so
%{_kf6_libdir}/cmake/KPim6Itinerary/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-html


%changelog
* Sun Jul 06 2025 daviddavid <daviddavid> 25.04.2-2.mga10
+ Revision: 2247563
- rebuild for new libphonenumber 9.0.9

* Thu Jun 05 2025 daviddavid <daviddavid> 25.04.2-1.mga10
+ Revision: 2188453
- New version 25.04.2

* Thu Apr 17 2025 daviddavid <daviddavid> 25.04.0-1.mga10
+ Revision: 2176028
- New version 25.04.0

* Fri Apr 11 2025 wally <wally> 25.03.90-2.mga10
+ Revision: 2174742
- rebuild for poppler 25.04.0

* Sat Mar 29 2025 daviddavid <daviddavid> 25.03.90-1.mga10
+ Revision: 2170799
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 24.12.3-1.mga10
+ Revision: 2163508
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147170
- New version 24.12.2

* Sun Feb 02 2025 wally <wally> 24.12.1-2.mga10
+ Revision: 2144813
- rebuild for poppler 25.01.0
+ daviddavid <daviddavid>
- New version 24.12.1

* Mon Jan 06 2025 daviddavid <daviddavid> 24.12.0-2.mga10
+ Revision: 2135639
- rebuild for new libphonenumber

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123811
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116368
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114060
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105559
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097424
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087620
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085116
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073224
- New version 24.05.1

* Sun Jun 09 2024 wally <wally> 24.05.0-2.mga10
+ Revision: 2071940
- rebuild for poppler 24.06.0

* Tue Jun 04 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069870
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058628
- New version 24.02.2

* Sat Mar 02 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2046593
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037666
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033793
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025166
- New version 24.01.85

* Fri Nov 17 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007289
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989613
- New version 23.08.1

* Tue Sep 05 2023 wally <wally> 23.04.1-3.mga10
+ Revision: 1984491
- rebuild for poppler 23.08.0

* Fri Sep 01 2023 daviddavid <daviddavid> 23.04.1-2.mga10
+ Revision: 1983066
- rebuild for new zxing-cpp 2.1.0

* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1959162
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946502
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941795
- New version 22.12.2

* Mon Dec 26 2022 wally <wally> 22.12.0-2.mga9
+ Revision: 1926938
- rebuild for zxing-cpp with bumped lib major

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922916
- New version 22.12.0

* Sat Dec 03 2022 wally <wally> 22.11.90-2.mga9
+ Revision: 1916204
- rebuild for poppler 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911410
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905262
- New version 22.08.3

* Mon Oct 24 2022 ghibo <ghibo> 22.08.1-2.mga9
+ Revision: 1899158
- Rebuild against latest libpoppler

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886781
- New version 22.08.1

* Sat Sep 03 2022 wally <wally> 22.08.0-2.mga9
+ Revision: 1883697
- rebuild for poppler 22.09.0

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880767
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873077
- New version 22.04.3

* Sat Jul 23 2022 wally <wally> 22.04.0-3.mga9
+ Revision: 1870368
- rebuild for poppler 22.07.0

* Sun May 15 2022 wally <wally> 22.04.0-2.mga9
+ Revision: 1858264
- rebuild for poppler 22.05.0

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853970
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849476
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1845925
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763860
- New version 21.12.0

* Sun Dec 19 2021 wally <wally> 21.11.90-1.mga9
+ Revision: 1762542
- rebuild for poppler 21.12.0
+ neoclust <neoclust>
- New version 21.11.90

* Sun Nov 07 2021 wally <wally> 21.04.1-6.mga9
+ Revision: 1754534
- rebuild for poppler 21.11.0

* Sat Oct 02 2021 wally <wally> 21.04.1-5.mga9
+ Revision: 1748138
- rebuild for openssl 3.0.0

* Wed Sep 08 2021 wally <wally> 21.04.1-4.mga9
+ Revision: 1744506
- rebuild for poppler 21.09.0

* Fri Aug 13 2021 wally <wally> 21.04.1-3.mga9
+ Revision: 1741245
- add an upstream patch to fix build with poppler 21.8.0
- rebuild for poppler 21.08.0

* Sat Jun 19 2021 wally <wally> 21.04.1-2.mga9
+ Revision: 1731287
- rebuild for poppler 21.06.1

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724069
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718356
- New version 21.04.0

* Sat Mar 20 2021 wally <wally> 20.12.3-3.mga9
+ Revision: 1705888
- rebuild for poppler 21.03.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698553
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694085
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655615
- New version 20.12.0

* Sun Dec 06 2020 wally <wally> 20.08.3-2.mga8
+ Revision: 1653299
- rebuild for poppler 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644001
- New version 20.08.3

* Sat Oct 24 2020 akien <akien> 20.08.2-2.mga8
+ Revision: 1639121
- Rebuild against phonenumber fixed for protobuf API breakage

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633817
- New version 20.08.2

* Thu Sep 17 2020 daviddavid <daviddavid> 20.08.1-2.mga8
+ Revision: 1628179
- enable OsmTools support

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627059
- New version 20.08.1

* Thu Aug 20 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1616479
- New version 20.08.0

* Sun Aug 09 2020 daviddavid <daviddavid> 20.04.3-3.mga8
+ Revision: 1612283
- add upstream patch to fix build with zxing 1.1.0
- rebuild for new zxing-cpp 1.1.0

* Thu Aug 06 2020 wally <wally> 20.04.3-2.mga8
+ Revision: 1611575
- rebuild for poppler 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604124
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596857
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584508
- New version 20.04.1

* Sat May 02 2020 wally <wally> 20.04.0-2.mga8
+ Revision: 1577940
- rebuild for poppler 0.88.0

* Sat Apr 18 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1569413
- New version 20.04.0

* Mon Apr 06 2020 daviddavid <daviddavid> 19.12.3-5.mga8
+ Revision: 1565078
- enable PhoneNumber support

* Mon Apr 06 2020 daviddavid <daviddavid> 19.12.3-4.mga8
+ Revision: 1565076
- enable ZXing support

* Sat Apr 04 2020 wally <wally> 19.12.3-3.mga8
+ Revision: 1564401
- really rebuild with poppler 0.87.0

* Sat Apr 04 2020 wally <wally> 19.12.3-2.mga8
+ Revision: 1564376
- rebuild for poppler 0.87.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559327
- New version 19.12.3

* Wed Mar 04 2020 wally <wally> 19.12.2-4.mga8
+ Revision: 1553716
- rebuild for poppler 0.86.1

* Tue Mar 03 2020 wally <wally> 19.12.2-3.mga8
+ Revision: 1553513
- rebuild for poppler 0.86.0

* Wed Feb 19 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1543953
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1520227
- New version 19.12.2

* Thu Jan 23 2020 wally <wally> 19.12.0-3.mga8
+ Revision: 1482552
- rebuild for poppler 0.84.0
- build with new cmake macros

* Mon Dec 23 2019 wally <wally> 19.12.0-2.mga8
+ Revision: 1469647
- rebuild for poppler 0.83.0

* Mon Dec 16 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1468102
- New version 19.12.0
- New version 19.11.90

* Sat Nov 16 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1460981
- New version 19.08.3

* Thu Oct 31 2019 wally <wally> 19.08.1-4.mga8
+ Revision: 1457191
- fix poppler-0.82 patch

* Thu Oct 31 2019 wally <wally> 19.08.1-3.mga8
+ Revision: 1457187
- rebuild for new poppler 0.82.0

* Thu Oct 10 2019 wally <wally> 19.08.1-2.mga8
+ Revision: 1451108
- rebuild for poppler 0.81.0

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1447436
- New version 19.08.1

* Thu Sep 19 2019 wally <wally> 19.04.3-2.mga8
+ Revision: 1443905
- rebuild for poppler 0.80.0

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424995
- New version 19.04.3

* Mon Jul 15 2019 wally <wally> 19.04.0-2.mga8
+ Revision: 1421788
- rebuild for poppler 0.78.0

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390450
- New version 19.04.0
- New version 19.04.00

* Fri Apr 12 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1389104
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382574
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375606
- New version 18.12.3

* Mon Feb 18 2019 wally <wally> 18.12.2-2.mga7
+ Revision: 1368160
- rebuild for new poppler 0.74.0

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365570
- New version 18.12.2

* Sun Jan 27 2019 wally <wally> 18.12.1-2.mga7
+ Revision: 1361193
- rebuild for new poppler 0.73.0

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356508
- New version 18.12.1

* Thu Dec 20 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1343305
- New version 18.12.0

* Sat Dec 08 2018 wally <wally> 18.08.3-2.mga7
+ Revision: 1339027
- add patch to build with poppler 0.72.0

* Sun Nov 25 2018 daviddavid <daviddavid> 18.08.3-1.mga7
+ Revision: 1334086
- New version 18.08.3

* Tue Nov 20 2018 daviddavid <daviddavid> 18.08.2-2.mga7
+ Revision: 1332182
- add upstream patch to fix build with poppler >= 0.71
- enable Poppler support

* Sun Nov 18 2018 daviddavid <daviddavid> 18.08.2-1.mga7
+ Revision: 1330678
- initial package kitinerary

